summaryrefslogtreecommitdiff
path: root/multimedia/grip/grip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/grip/grip.SlackBuild')
-rw-r--r--multimedia/grip/grip.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/multimedia/grip/grip.SlackBuild b/multimedia/grip/grip.SlackBuild
new file mode 100644
index 0000000000..58f06bad7f
--- /dev/null
+++ b/multimedia/grip/grip.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for grip
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=grip
+VERSION=${VERSION:-2.96}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Slack 12.2 keeps cdda headers in /usr/include/cdda, 12.1 has them
+# in /usr/include itself. Be adaptable.
+if [ -r /usr/include/cdda/cdda_interface.h ]; then
+ SLKCFLAGS="$SLKCFLAGS -I/usr/include/cdda"
+fi
+
+# Patch to use system-installed cdparanoia libs:
+patch -p1 --verbose < $CWD/system_cdparanoia_libs.diff
+
+# Patch to fix a compile issue with threads (probably came from gentoo):
+patch -p1 --verbose < $CWD/grip2-nptl.diff
+
+# The Makefile ignores any CFLAGS we pass in, so:
+perl -i.bak -pe 's,(CFLAGS\s*=\s*),$1 '"$SLKCFLAGS"' ,' Makefile
+
+make
+
+# DESTDIR not supported.
+make install PREFIX=$PKG/usr
+
+strip $PKG/usr/bin/*
+
+rm -f $PKG/usr/man/man1/gcd.1
+gzip $PKG/usr/man/man1/$PRGNAM.1
+( cd $PKG/usr/man/man1 && ln -s $PRGNAM.1.gz gcd.1.gz )
+
+# Why does it create an empty usr/lib dir?
+rm -rf $PKG/usr/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/dot.grip.sample CHANGES CREDITS LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+cp pixmaps/grip.xpm $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/grip.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz